ao-bringup: Allow dfu_util to "fail" while flashing chaoskey
[fw/altos] / ao-bringup / turnon_chaoskey
index 8c8a6758609f76ba2e7276c470a28fe27bdaeaad..4a255bff3d27581e1070641c5cf1f59d79ab7243 100755 (executable)
@@ -1,20 +1,20 @@
 #!/bin/sh
 
 #!/bin/sh
 
-if [ -x /usr/bin/ao-flash-stm32f0x ]; then
-       FLASH_STM=/usr/bin/ao-flash-stm32f0x
+if [ -x /usr/bin/dfu-util ]; then
+    DFU_UTIL=/usr/bin/dfu-util
 else
 else
-       echo "Can't find ao-flash-stm32f0x!  Aborting."
-       exit 1
+    echo "Can't find dfu-util! Aborting."
+    exit 1
 fi
 
 fi
 
-if [ -x /usr/bin/ao-usbload ]; then
-       USBLOAD=/usr/bin/ao-usbload
+if [ -x `which ao-usbload` ]; then
+       USBLOAD=`which ao-usbload`
 else
        echo "Can't find ao-usbload!  Aborting."
        exit 1
 fi
 
 else
        echo "Can't find ao-usbload!  Aborting."
        exit 1
 fi
 
-VERSION=0.1
+VERSION=1.0
 PRODUCT=ChaosKey
 
 echo "ChaosKey v$VERSION Turn-On and Calibration Program"
 PRODUCT=ChaosKey
 
 echo "ChaosKey v$VERSION Turn-On and Calibration Program"
@@ -22,29 +22,19 @@ echo "Copyright 2015 by Keith Packard.  Released under GPL v2"
 echo
 echo "Expectations:"
 echo "\tChaosKey v$VERSION powered from USB"
 echo
 echo "Expectations:"
 echo "\tChaosKey v$VERSION powered from USB"
-echo "\t\twith ST-Link-V2 cabled to debug header"
 echo
 
 echo
 
+FLASH_FILE=~/altusmetrumllc/Binaries/loaders/chaoskey-v1.0-altos-flash-*.bin
+ALTOS_FILE=~/altusmetrumllc/Binaries/chaoskey-v1.0-*.elf
 
 
-case $# in
-    1)
-       SERIAL="$1"
-       echo "$PRODUCT-$VERSION serial number: $SERIAL" 
-       ;;
-    0)
-       echo -n "$PRODUCT-$VERSION serial number: "
-       read SERIAL
-       ;;
-    *)
-       echo "Usage: $0 <serial-number>" 1>&2
-       exit 1;
-       ;;
-esac
-
-$FLASH_STM ../src/chaoskey-v$VERSION/flash-loader/chaoskey-v$VERSION-*.elf || exit 1
+$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE || true
 
 sleep 2
 
 
 sleep 2
 
-$USBLOAD --serial=$SERIAL ../src/chaoskey-v$VERSION/chaoskey-v$VERSION*.ihx || exit 1
+$USBLOAD --serial=1 $ALTOS_FILE || exit 1
+
+sleep 1
+
+./test-chaoskey
 
 exit $?
 
 exit $?